GNU bug report logs - #18372
Bug#755351: blink-cursor-mode should respect GTK+ setting by default

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Rob Browning <rlb@HIDDEN>; dated Sun, 31 Aug 2014 21:06:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 18372 <at> debbugs.gnu.org:


Received: (at 18372) by debbugs.gnu.org; 2 Sep 2014 05:06:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 02 01:06:19 2014
Received: from localhost ([127.0.0.1]:56287 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XOgIM-00013e-DH
	for submit <at> debbugs.gnu.org; Tue, 02 Sep 2014 01:06:19 -0400
Received: from mailfe06.swip.net ([212.247.154.161]:35661 helo=swip.net)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1XOgIK-00013P-70
 for 18372 <at> debbugs.gnu.org; Tue, 02 Sep 2014 01:06:16 -0400
X-T2-Spam-Status: No, hits=-0.0 required=5.0 tests=BAYES_40
Received: from hosdjarv.se (account mj138573@HIDDEN [46.59.42.57] verified)
 by mailfe06.swip.net (CommuniGate Pro SMTP 5.4.4)
 with ESMTPA id 526287232; Tue, 02 Sep 2014 07:06:00 +0200
References: <20140719202311.12507.88471.reportbug@thin>
 <878um4fjzv.fsf@HIDDEN>
 <jwvsikcrwgl.fsf-monnier+emacsbugs@HIDDEN> <54041086.9070607@HIDDEN>
 <20140901182430.GA2901@thin> <83tx4rfaig.fsf@HIDDEN>
Mime-Version: 1.0 (1.0)
In-Reply-To: <83tx4rfaig.fsf@HIDDEN>
Content-Type: text/plain;
	charset=us-ascii
Content-Transfer-Encoding: quoted-printable
Message-Id: <67DC170C-4CD6-4F11-9C4A-955537B6CCD2@HIDDEN>
X-Mailer: iPhone Mail (11D257)
From: =?utf-8?Q?Jan_Dj=C3=A4rv?= <jan.h.d@HIDDEN>
Subject: Re: bug#18372: Bug#755351: blink-cursor-mode should respect GTK+
 setting	by default
Date: Tue, 2 Sep 2014 07:05:58 +0200
To: Eli Zaretskii <eliz@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 18372
Cc: "755351-forwarded@HIDDEN" <755351-forwarded@HIDDEN>,
 "18372 <at> debbugs.gnu.org" <18372 <at> debbugs.gnu.org>,
 Josh Triplett <josh@HIDDEN>,
 "755351@HIDDEN" <755351@HIDDEN>,
 "rlb@HIDDEN" <rlb@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hi.

1 sep 2014 kl. 20:42 skrev Eli Zaretskii <eliz@HIDDEN>:

>> Date: Mon, 1 Sep 2014 11:24:31 -0700
>> From: Josh Triplett <josh@HIDDEN>
>> Cc: 755351@HIDDEN, Rob Browning <rlb@HIDDEN>,
>>    18372 <at> debbugs.gnu.org, 755351-forwarded@HIDDEN
>>=20
>> For the simplest possible implementation, determine the desktop setting
>> for whether the cursor should blink, and set blink-cursor-mode to that
>> at startup; any explicit setting would then override that.
>=20
> Why should we only take blink-cursor-mode from there, and ignore all
> the rest?  E.g., cursor-blink-time and cursor-blink-timeout.  And then
> there are other settings, like cursor-size, clock-format, etc.  It
> makes very little sense to take only one setting.

Those that we look at had a GUI in Gnome at one point to change them. Also t=
he set of settings has not been very stable. There is no GUI in current Gnom=
e to change them, so they aren't really the place where a user can easily tw=
eak settings.=20

So in 99% (figure from air) of the cases these settings are never changed. I=
t is not worth it to track a setting that with high probability will be remo=
ved or change name/place within two years.=20

      Jan D.=20=




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18372; Package emacs. Full text available.

Message received at 18372 <at> debbugs.gnu.org:


Received: (at 18372) by debbugs.gnu.org; 2 Sep 2014 04:57:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 02 00:57:40 2014
Received: from localhost ([127.0.0.1]:56283 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XOgA0-0000pn-5F
	for submit <at> debbugs.gnu.org; Tue, 02 Sep 2014 00:57:40 -0400
Received: from mailfe06.swip.net ([212.247.154.161]:32803 helo=swip.net)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1XOg9x-0000pY-4V
 for 18372 <at> debbugs.gnu.org; Tue, 02 Sep 2014 00:57:38 -0400
X-T2-Spam-Status: No, hits=0.8 required=5.0 tests=BAYES_50
Received: from hosdjarv.se (account mj138573@HIDDEN [46.59.42.57] verified)
 by mailfe06.swip.net (CommuniGate Pro SMTP 5.4.4)
 with ESMTPA id 526285370; Tue, 02 Sep 2014 06:57:28 +0200
References: <20140719202311.12507.88471.reportbug@thin>
 <878um4fjzv.fsf@HIDDEN>
 <jwvsikcrwgl.fsf-monnier+emacsbugs@HIDDEN> <54041086.9070607@HIDDEN>
 <20140901182430.GA2901@thin> <83tx4rfaig.fsf@HIDDEN>
Mime-Version: 1.0 (1.0)
In-Reply-To: <83tx4rfaig.fsf@HIDDEN>
Content-Type: text/plain;
	charset=us-ascii
Content-Transfer-Encoding: 7bit
Message-Id: <45DDD72A-693B-4145-B220-A5113886E8CA@HIDDEN>
X-Mailer: iPhone Mail (11D257)
From: =?utf-8?Q?Jan_Dj=C3=A4rv?= <jan.h.d@HIDDEN>
Subject: Re: bug#18372: Bug#755351: blink-cursor-mode should respect GTK+
 setting	by default
Date: Tue, 2 Sep 2014 06:57:26 +0200
To: Eli Zaretskii <eliz@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 18372
Cc: "755351-forwarded@HIDDEN" <755351-forwarded@HIDDEN>,
 "18372 <at> debbugs.gnu.org" <18372 <at> debbugs.gnu.org>,
 Josh Triplett <josh@HIDDEN>,
 "755351@HIDDEN" <755351@HIDDEN>,
 "rlb@HIDDEN" <rlb@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hi. 

1 sep 2014 kl. 20:42 skrev Eli Zaretskii <eliz@HIDDEN>:

>> Date: Mon, 1 Sep 2014 11:24:31 -0700
>> From: Josh Triplett <josh@HIDDEN>
>> Cc: 755351@HIDDEN, Rob Browning <rlb@HIDDEN>,
>>    18372 <at> debbugs.gnu.org, 755351-forwarded@HIDDEN
>> 
>> For the simplest possible implementation, determine the desktop setting
>> for whether the cursor should blink, and set blink-cursor-mode to that
>> at startup; any explicit setting would then override that.
> 
> Why should we only take blink-cursor-mode from there, and ignore all
> the rest?  E.g., cursor-blink-time and cursor-blink-timeout.  And then
> there are other settings, like cursor-size, clock-format, etc.  It
> makes very little sense to take only one setting.
> 
> (I know nothing about GTK, so apologies if these are silly questions.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18372; Package emacs. Full text available.

Message received at 18372 <at> debbugs.gnu.org:


Received: (at 18372) by debbugs.gnu.org; 1 Sep 2014 22:47:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 01 18:47:40 2014
Received: from localhost ([127.0.0.1]:56020 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XOaNv-0000CQ-Ta
	for submit <at> debbugs.gnu.org; Mon, 01 Sep 2014 18:47:40 -0400
Received: from relay3-d.mail.gandi.net ([217.70.183.195]:53379)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <josh@HIDDEN>) id 1XOaNs-0000CG-SN
 for 18372 <at> debbugs.gnu.org; Mon, 01 Sep 2014 18:47:37 -0400
Received: from mfilter26-d.gandi.net (mfilter26-d.gandi.net [217.70.178.154])
 by relay3-d.mail.gandi.net (Postfix) with ESMTP id ADD19A80AC;
 Tue,  2 Sep 2014 00:47:34 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at mfilter26-d.gandi.net
Received: from relay3-d.mail.gandi.net ([217.70.183.195])
 by mfilter26-d.gandi.net (mfilter26-d.gandi.net [10.0.15.180]) (amavisd-new,
 port 10024)
 with ESMTP id yRQiGnhJ21mh; Tue,  2 Sep 2014 00:47:33 +0200 (CEST)
X-Originating-IP: 50.43.15.134
Received: from thin (static-50-43-15-134.bvtn.or.frontiernet.net
 [50.43.15.134]) (Authenticated sender: josh@HIDDEN)
 by relay3-d.mail.gandi.net (Postfix) with ESMTPSA id 5119FA80AD;
 Tue,  2 Sep 2014 00:47:31 +0200 (CEST)
Date: Mon, 1 Sep 2014 15:47:29 -0700
From: Josh Triplett <josh@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#18372: Bug#755351: blink-cursor-mode should respect GTK+
 setting	by default
Message-ID: <20140901224729.GA9066@thin>
References: <20140719202311.12507.88471.reportbug@thin>
 <878um4fjzv.fsf@HIDDEN>
 <jwvsikcrwgl.fsf-monnier+emacsbugs@HIDDEN>
 <54041086.9070607@HIDDEN> <20140901182430.GA2901@thin>
 <83tx4rfaig.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <83tx4rfaig.fsf@HIDDEN>
User-Agent: Mutt/1.5.23 (2014-03-12)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 18372
Cc: jan.h.d@HIDDEN, 18372 <at> debbugs.gnu.org, rlb@HIDDEN,
 755351@HIDDEN, 755351-forwarded@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Mon, Sep 01, 2014 at 09:42:15PM +0300, Eli Zaretskii wrote:
> > Date: Mon, 1 Sep 2014 11:24:31 -0700
> > From: Josh Triplett <josh@HIDDEN>
> > Cc: 755351@HIDDEN, Rob Browning <rlb@HIDDEN>,
> > 	18372 <at> debbugs.gnu.org, 755351-forwarded@HIDDEN
> > 
> > For the simplest possible implementation, determine the desktop setting
> > for whether the cursor should blink, and set blink-cursor-mode to that
> > at startup; any explicit setting would then override that.
> 
> Why should we only take blink-cursor-mode from there, and ignore all
> the rest?  E.g., cursor-blink-time and cursor-blink-timeout.  And then
> there are other settings, like cursor-size, clock-format, etc.  It
> makes very little sense to take only one setting.
> 
> (I know nothing about GTK, so apologies if these are silly questions.)

By all means, please do so.  blink-cursor-mode was just the particular
one that motivated my report.

- Josh Triplett




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18372; Package emacs. Full text available.

Message received at 18372 <at> debbugs.gnu.org:


Received: (at 18372) by debbugs.gnu.org; 1 Sep 2014 22:21:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 01 18:21:49 2014
Received: from localhost ([127.0.0.1]:55970 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XOZyu-0007w8-Mz
	for submit <at> debbugs.gnu.org; Mon, 01 Sep 2014 18:21:48 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:56066)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1XOZys-0007vt-4c
 for 18372 <at> debbugs.gnu.org; Mon, 01 Sep 2014 18:21:46 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: ArUGAIDvNVNFpZEG/2dsb2JhbABZgwaDSsA9gRcXdIIlAQEBAQIBViMFCws0EhQYDSSIBAjSGReOegeEOAEDqRmBaoFxgVsh
X-IPAS-Result: ArUGAIDvNVNFpZEG/2dsb2JhbABZgwaDSsA9gRcXdIIlAQEBAQIBViMFCws0EhQYDSSIBAjSGReOegeEOAEDqRmBaoFxgVsh
X-IronPort-AV: E=Sophos;i="4.97,753,1389762000"; d="scan'208";a="88431923"
Received: from 69-165-145-6.dsl.teksavvy.com (HELO fmsmemgm.homelinux.net)
 ([69.165.145.6])
 by ironport2-out.teksavvy.com with ESMTP/TLS/DHE-RSA-AES256-SHA;
 01 Sep 2014 18:21:40 -0400
Received: by fmsmemgm.homelinux.net (Postfix, from userid 20848)
 id 1AAFCAE176; Mon,  1 Sep 2014 18:21:39 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: "Jan D." <jan.h.d@HIDDEN>
Subject: Re: bug#18372: Bug#755351: blink-cursor-mode should respect GTK+
 setting by default
Message-ID: <jwvvbp7f0dm.fsf-monnier+emacsbugs@HIDDEN>
References: <20140719202311.12507.88471.reportbug@thin>
 <878um4fjzv.fsf@HIDDEN>
 <jwvsikcrwgl.fsf-monnier+emacsbugs@HIDDEN>
 <54041086.9070607@HIDDEN>
Date: Mon, 01 Sep 2014 18:21:39 -0400
In-Reply-To: <54041086.9070607@HIDDEN> (Jan D.'s message of "Mon, 01 Sep
 2014 08:21:58 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 18372
Cc: 755351-forwarded@HIDDEN, 18372 <at> debbugs.gnu.org,
 755351@HIDDEN, Rob Browning <rlb@HIDDEN>,
 Josh Triplett <josh@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

>>>> In the GTK+ version of Emacs, the default setting for
>>>> blink-cursor-mode should respect the desktop setting of
>>>> org.gnome.desktop.interface.cursor-blink .  An explicit setting of
>>>> blink-cursor-mode in .emacs could still override it, but the default
>>>> setting should not.
>> That would make a lot of sense, indeed.

> How do you distinguish between the default and

> % emacs
> M-x blink-cursor-mode
> M-x blink-cursor-mode

> ?

> The latter is an explicit setting to on.

No, AFAICT it's just asking to toggle it twice.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18372; Package emacs. Full text available.

Message received at 18372 <at> debbugs.gnu.org:


Received: (at 18372) by debbugs.gnu.org; 1 Sep 2014 22:21:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 01 18:21:14 2014
Received: from localhost ([127.0.0.1]:55967 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XOZyL-0007vI-Ni
	for submit <at> debbugs.gnu.org; Mon, 01 Sep 2014 18:21:14 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:29612)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1XOZyJ-0007v2-MI
 for 18372 <at> debbugs.gnu.org; Mon, 01 Sep 2014 18:21:12 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: ArUGAIDvNVNFpZEG/2dsb2JhbABZgwaDSsA9gRcXdIIlAQEBAQIBViMFCws0EhQYDSSIBAjSGReOegeEOAEDqRmBaoFxgVsh
X-IPAS-Result: ArUGAIDvNVNFpZEG/2dsb2JhbABZgwaDSsA9gRcXdIIlAQEBAQIBViMFCws0EhQYDSSIBAjSGReOegeEOAEDqRmBaoFxgVsh
X-IronPort-AV: E=Sophos;i="4.97,753,1389762000"; d="scan'208";a="88431844"
Received: from 69-165-145-6.dsl.teksavvy.com (HELO fmsmemgm.homelinux.net)
 ([69.165.145.6])
 by ironport2-out.teksavvy.com with ESMTP/TLS/DHE-RSA-AES256-SHA;
 01 Sep 2014 18:21:05 -0400
Received: by fmsmemgm.homelinux.net (Postfix, from userid 20848)
 id 54CB9AE176; Mon,  1 Sep 2014 18:21:03 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#18372: Bug#755351: blink-cursor-mode should respect GTK+
 setting	by default
Message-ID: <jwv1trvgezy.fsf-monnier+emacsbugs@HIDDEN>
References: <20140719202311.12507.88471.reportbug@thin>
 <878um4fjzv.fsf@HIDDEN>
 <jwvsikcrwgl.fsf-monnier+emacsbugs@HIDDEN>
 <54041086.9070607@HIDDEN> <20140901182430.GA2901@thin>
 <83tx4rfaig.fsf@HIDDEN>
Date: Mon, 01 Sep 2014 18:21:03 -0400
In-Reply-To: <83tx4rfaig.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 01 Sep
 2014 21:42:15 +0300")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 18372
Cc: 755351@HIDDEN, 18372 <at> debbugs.gnu.org,
 Josh Triplett <josh@HIDDEN>, rlb@HIDDEN,
 755351-forwarded@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

> Why should we only take blink-cursor-mode from there, and ignore all
> the rest?

Nobody asked to ignore the rest ;-)

> E.g., cursor-blink-time and cursor-blink-timeout.  And then
> there are other settings, like cursor-size, clock-format, etc.  It
> makes very little sense to take only one setting.

Currently we only take a few things such as foreground and
background color.  I agree that we should take "anything that's
applicable".


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18372; Package emacs. Full text available.

Message received at 18372 <at> debbugs.gnu.org:


Received: (at 18372) by debbugs.gnu.org; 1 Sep 2014 18:42:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 01 14:42:19 2014
Received: from localhost ([127.0.0.1]:55871 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XOWYU-0002QY-8h
	for submit <at> debbugs.gnu.org; Mon, 01 Sep 2014 14:42:18 -0400
Received: from mtaout23.012.net.il ([80.179.55.175]:33043)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1XOWYR-0002QF-C3
 for 18372 <at> debbugs.gnu.org; Mon, 01 Sep 2014 14:42:16 -0400
Received: from conversion-daemon.a-mtaout23.012.net.il by
 a-mtaout23.012.net.il (HyperSendmail v2007.08) id
 <0NB800000JBV3I00@HIDDEN> for 18372 <at> debbugs.gnu.org;
 Mon, 01 Sep 2014 21:42:08 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout23.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NB8000B0JY71870@HIDDEN>;
 Mon, 01 Sep 2014 21:42:08 +0300 (IDT)
Date: Mon, 01 Sep 2014 21:42:15 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#18372: Bug#755351: blink-cursor-mode should respect GTK+
 setting	by default
In-reply-to: <20140901182430.GA2901@thin>
X-012-Sender: halo1@HIDDEN
To: Josh Triplett <josh@HIDDEN>
Message-id: <83tx4rfaig.fsf@HIDDEN>
References: <20140719202311.12507.88471.reportbug@thin>
 <878um4fjzv.fsf@HIDDEN>
 <jwvsikcrwgl.fsf-monnier+emacsbugs@HIDDEN> <54041086.9070607@HIDDEN>
 <20140901182430.GA2901@thin>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 18372
Cc: jan.h.d@HIDDEN, 18372 <at> debbugs.gnu.org, rlb@HIDDEN,
 755351@HIDDEN, 755351-forwarded@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Mon, 1 Sep 2014 11:24:31 -0700
> From: Josh Triplett <josh@HIDDEN>
> Cc: 755351@HIDDEN, Rob Browning <rlb@HIDDEN>,
> 	18372 <at> debbugs.gnu.org, 755351-forwarded@HIDDEN
> 
> For the simplest possible implementation, determine the desktop setting
> for whether the cursor should blink, and set blink-cursor-mode to that
> at startup; any explicit setting would then override that.

Why should we only take blink-cursor-mode from there, and ignore all
the rest?  E.g., cursor-blink-time and cursor-blink-timeout.  And then
there are other settings, like cursor-size, clock-format, etc.  It
makes very little sense to take only one setting.

(I know nothing about GTK, so apologies if these are silly questions.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18372; Package emacs. Full text available.

Message received at 18372 <at> debbugs.gnu.org:


Received: (at 18372) by debbugs.gnu.org; 1 Sep 2014 18:24:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 01 14:24:43 2014
Received: from localhost ([127.0.0.1]:55862 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XOWHT-0001wB-A9
	for submit <at> debbugs.gnu.org; Mon, 01 Sep 2014 14:24:43 -0400
Received: from relay3-d.mail.gandi.net ([217.70.183.195]:55189)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <josh@HIDDEN>) id 1XOWHP-0001w1-Vd
 for 18372 <at> debbugs.gnu.org; Mon, 01 Sep 2014 14:24:41 -0400
Received: from mfilter21-d.gandi.net (mfilter21-d.gandi.net [217.70.178.149])
 by relay3-d.mail.gandi.net (Postfix) with ESMTP id 97B7D983FF;
 Mon,  1 Sep 2014 20:24:38 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at mfilter21-d.gandi.net
Received: from relay3-d.mail.gandi.net ([217.70.183.195])
 by mfilter21-d.gandi.net (mfilter21-d.gandi.net [10.0.15.180]) (amavisd-new,
 port 10024)
 with ESMTP id pjOnkuA1502o; Mon,  1 Sep 2014 20:24:37 +0200 (CEST)
X-Originating-IP: 50.43.15.134
Received: from thin (static-50-43-15-134.bvtn.or.frontiernet.net
 [50.43.15.134]) (Authenticated sender: josh@HIDDEN)
 by relay3-d.mail.gandi.net (Postfix) with ESMTPSA id 76B09983F0;
 Mon,  1 Sep 2014 20:24:33 +0200 (CEST)
Date: Mon, 1 Sep 2014 11:24:31 -0700
From: Josh Triplett <josh@HIDDEN>
To: "Jan D." <jan.h.d@HIDDEN>
Subject: Re: bug#18372: Bug#755351: blink-cursor-mode should respect GTK+
 setting by default
Message-ID: <20140901182430.GA2901@thin>
References: <20140719202311.12507.88471.reportbug@thin>
 <878um4fjzv.fsf@HIDDEN>
 <jwvsikcrwgl.fsf-monnier+emacsbugs@HIDDEN>
 <54041086.9070607@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <54041086.9070607@HIDDEN>
User-Agent: Mutt/1.5.23 (2014-03-12)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 18372
Cc: 755351-forwarded@HIDDEN, 18372 <at> debbugs.gnu.org,
 Stefan Monnier <monnier@HIDDEN>, Rob Browning <rlb@HIDDEN>,
 755351@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Mon, Sep 01, 2014 at 08:21:58AM +0200, Jan D. wrote:
> Stefan Monnier skrev 2014-09-01 02:55:
> >>>In the GTK+ version of Emacs, the default setting for
> >>>blink-cursor-mode should respect the desktop setting of
> >>>org.gnome.desktop.interface.cursor-blink .  An explicit setting of
> >>>blink-cursor-mode in .emacs could still override it, but the default
> >>>setting should not.
> >
> >That would make a lot of sense, indeed.
> >
> 
> How do you distinguish between the default and
> 
> % emacs
> M-x blink-cursor-mode
> M-x blink-cursor-mode
> 
> ?

For the simplest possible implementation, determine the desktop setting
for whether the cursor should blink, and set blink-cursor-mode to that
at startup; any explicit setting would then override that.

- Josh Triplett




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18372; Package emacs. Full text available.

Message received at 18372 <at> debbugs.gnu.org:


Received: (at 18372) by debbugs.gnu.org; 1 Sep 2014 06:22:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 01 02:22:13 2014
Received: from localhost ([127.0.0.1]:55358 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XOL0H-0005Fz-Dy
	for submit <at> debbugs.gnu.org; Mon, 01 Sep 2014 02:22:13 -0400
Received: from mailfe01.swip.net ([212.247.154.1]:49763 helo=swip.net)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <jan.h.d@HIDDEN>) id 1XOL0E-0005Fi-LF
 for 18372 <at> debbugs.gnu.org; Mon, 01 Sep 2014 02:22:11 -0400
X-T2-Spam-Status: No, hits=0.8 required=5.0 tests=BAYES_50
Received: from hosdjarv.se (account mj138573@HIDDEN [46.59.42.57] verified)
 by mailfe01.swip.net (CommuniGate Pro SMTP 5.4.4)
 with ESMTPA id 528684567; Mon, 01 Sep 2014 08:22:02 +0200
Received: from jdvpro.local (unknown [176.57.193.190])
 (Authenticated sender: jhd)
 by hosdjarv.se (Postfix) with ESMTPSA id 809871A0365;
 Mon,  1 Sep 2014 06:22:02 +0000 (UTC)
Message-ID: <54041086.9070607@HIDDEN>
Date: Mon, 01 Sep 2014 08:21:58 +0200
From: "Jan D." <jan.h.d@HIDDEN>
User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.9;
 rv:24.0) Gecko/20100101 Thunderbird/24.6.0
MIME-Version: 1.0
To: Stefan Monnier <monnier@HIDDEN>, 
 Rob Browning <rlb@HIDDEN>
Subject: Re: bug#18372: Bug#755351: blink-cursor-mode should respect GTK+
 setting by default
References: <20140719202311.12507.88471.reportbug@thin>	<878um4fjzv.fsf@HIDDEN>
 <jwvsikcrwgl.fsf-monnier+emacsbugs@HIDDEN>
In-Reply-To: <jwvsikcrwgl.fsf-monnier+emacsbugs@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 18372
Cc: 18372 <at> debbugs.gnu.org, Josh Triplett <josh@HIDDEN>,
 755351@HIDDEN, 755351-forwarded@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Stefan Monnier skrev 2014-09-01 02:55:
>>> In the GTK+ version of Emacs, the default setting for
>>> blink-cursor-mode should respect the desktop setting of
>>> org.gnome.desktop.interface.cursor-blink .  An explicit setting of
>>> blink-cursor-mode in .emacs could still override it, but the default
>>> setting should not.
>
> That would make a lot of sense, indeed.
>

How do you distinguish between the default and

% emacs
M-x blink-cursor-mode
M-x blink-cursor-mode

?

The latter is an explicit setting to on.
Or are we just talking about customizing blink-cursor-mode?

	Jan D.






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18372; Package emacs. Full text available.

Message received at 18372 <at> debbugs.gnu.org:


Received: (at 18372) by debbugs.gnu.org; 1 Sep 2014 00:55:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 31 20:55:40 2014
Received: from localhost ([127.0.0.1]:55259 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XOFuF-0005PS-8j
	for submit <at> debbugs.gnu.org; Sun, 31 Aug 2014 20:55:39 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:52636)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1XOFuC-0005PE-Og
 for 18372 <at> debbugs.gnu.org; Sun, 31 Aug 2014 20:55:37 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: ArUGAIDvNVNFxLul/2dsb2JhbABZgwaDSsA9gRcXdIIlAQEBAQIBViMQCw4mEhQYDSSIBAjSGReOegeEOASpGYFqgXGBWyE
X-IPAS-Result: ArUGAIDvNVNFxLul/2dsb2JhbABZgwaDSsA9gRcXdIIlAQEBAQIBViMQCw4mEhQYDSSIBAjSGReOegeEOASpGYFqgXGBWyE
X-IronPort-AV: E=Sophos;i="4.97,753,1389762000"; d="scan'208";a="88336988"
Received: from 69-196-187-165.dsl.teksavvy.com (HELO ceviche.home)
 ([69.196.187.165])
 by ironport2-out.teksavvy.com with ESMTP/TLS/DHE-RSA-AES256-SHA;
 31 Aug 2014 20:55:30 -0400
Received: by ceviche.home (Postfix, from userid 20848)
 id A4913660C4; Sun, 31 Aug 2014 20:55:30 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Rob Browning <rlb@HIDDEN>
Subject: Re: bug#18372: Bug#755351: blink-cursor-mode should respect GTK+
 setting by default
Message-ID: <jwvsikcrwgl.fsf-monnier+emacsbugs@HIDDEN>
References: <20140719202311.12507.88471.reportbug@thin>
 <878um4fjzv.fsf@HIDDEN>
Date: Sun, 31 Aug 2014 20:55:30 -0400
In-Reply-To: <878um4fjzv.fsf@HIDDEN> (Rob Browning's message
 of "Sun, 31 Aug 2014 16:05:08 -0500")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 18372
Cc: 755351-forwarded@HIDDEN, Josh Triplett <josh@HIDDEN>,
 18372 <at> debbugs.gnu.org, 755351@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

>> In the GTK+ version of Emacs, the default setting for
>> blink-cursor-mode should respect the desktop setting of
>> org.gnome.desktop.interface.cursor-blink .  An explicit setting of
>> blink-cursor-mode in .emacs could still override it, but the default
>> setting should not.

That would make a lot of sense, indeed.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18372; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 31 Aug 2014 21:05:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 31 17:05:39 2014
Received: from localhost ([127.0.0.1]:55163 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XOCJe-0008C5-59
	for submit <at> debbugs.gnu.org; Sun, 31 Aug 2014 17:05:38 -0400
Received: from eggs.gnu.org ([208.118.235.92]:58385)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rlb@HIDDEN>) id 1XOCJa-0008Bp-Jq
 for submit <at> debbugs.gnu.org; Sun, 31 Aug 2014 17:05:35 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rlb@HIDDEN>) id 1XOCJQ-0004jO-Hl
 for submit <at> debbugs.gnu.org; Sun, 31 Aug 2014 17:05:29 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:58596)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <rlb@HIDDEN>) id 1XOCJQ-0004jK-FN
 for submit <at> debbugs.gnu.org; Sun, 31 Aug 2014 17:05:24 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:60086)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <rlb@HIDDEN>) id 1XOCJI-0003au-9J
 for bug-gnu-emacs@HIDDEN; Sun, 31 Aug 2014 17:05:24 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rlb@HIDDEN>) id 1XOCJD-0004gk-Ds
 for bug-gnu-emacs@HIDDEN; Sun, 31 Aug 2014 17:05:15 -0400
Received: from defaultvalue.org ([70.85.129.156]:56798)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <rlb@HIDDEN>) id 1XOCJD-0004ge-8p
 for bug-gnu-emacs@HIDDEN; Sun, 31 Aug 2014 17:05:11 -0400
Received: from trouble.defaultvalue.org (localhost [127.0.0.1])
 (Authenticated sender: rlb@HIDDEN)
 by defaultvalue.org (Postfix) with ESMTPSA id 24916207DE;
 Sun, 31 Aug 2014 16:05:10 -0500 (CDT)
Received: by trouble.defaultvalue.org (Postfix, from userid 1000)
 id 2457F14E0AD; Sun, 31 Aug 2014 16:05:09 -0500 (CDT)
From: Rob Browning <rlb@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Re: Bug#755351: blink-cursor-mode should respect GTK+ setting by
 default
In-Reply-To: <20140719202311.12507.88471.reportbug@thin>
References: <20140719202311.12507.88471.reportbug@thin>
User-Agent: Notmuch/0.18.1 (http://notmuchmail.org) Emacs/24.3.1
 (x86_64-pc-linux-gnu)
Date: Sun, 31 Aug 2014 16:05:08 -0500
Message-ID: <878um4fjzv.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
Cc: Josh Triplett <josh@HIDDEN>, 755351@HIDDEN,
 755351-forwarded@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

[If possible, please preserve the -forwarded address in any replies.]

This was reported to bugs.debian.org, and looked like something that
would be best considered upstream.

Josh Triplett <josh@HIDDEN> writes:

> In the GTK+ version of Emacs, the default setting for
> blink-cursor-mode should respect the desktop setting of
> org.gnome.desktop.interface.cursor-blink .  An explicit setting of
> blink-cursor-mode in .emacs could still override it, but the default
> setting should not.
>
> - Josh Triplett

More information here: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=755351

Thanks
-- 
Rob Browning
rlb @defaultvalue.org and @debian.org
GPG as of 2011-07-10 E6A9 DA3C C9FD 1FF8 C676 D2C4 C0F0 39E9 ED1B 597A
GPG as of 2002-11-03 14DD 432F AE39 534D B592 F9A0 25C8 D377 8C7E 73A4




Acknowledgement sent to Rob Browning <rlb@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#18372; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.